Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.html
Class Style

    java.lang.Object
      org.mortbay.html.Element
          org.mortbay.html.Composite
              org.mortbay.html.Block
                  org.mortbay.html.Style

    public class Style

extends Block

HTML Style Block.

Field Summary
`static java.lang.String` | `AlternateStyleSheet`
`static java.lang.String` | `MEDIA`
`static java.lang.String` | `screen`
`static java.lang.String` | `STYLE`
`static java.lang.String` | `StyleSheet`
`static java.lang.String` | `text_css`
`static java.lang.String` | `TYPE`

Fields inherited from class org.mortbay.html.Block
`Bold, Center, Div, Italic, Left, Listing, Plain, Pre, Quote, Right, Span, Xmp`

Fields inherited from class org.mortbay.html.Composite
`elements, nest`

Fields inherited from class org.mortbay.html.Element
`ALIGN, attributeMap, BGCOLOR, BOTTOM, CENTER, CLASS, COLOR, HEIGHT, ID, LEFT, MIDDLE, noAttributes, RIGHT, SIZE, TOP, VALIGN, WIDTH`

Constructor Summary
`Style()` Construct a Style element
`Style(java.lang.String style)` Construct a Style element
`Style(java.lang.String style, java.lang.String type)` Construct a Style element.

Method Summary
`Style` | `comment()` Nest style content in comment
`Style` | `importStyle(java.lang.String url)` Import another style sheet.
`Style` | `media(java.lang.String m)` Set the media

Methods inherited from class org.mortbay.html.Block
`write`

Methods inherited from class org.mortbay.html.Composite
`add, contents, nest, replace, reset, setNest, size, unnest`

Methods inherited from class org.mortbay.html.Element
`attribute, attribute, attribute, attributes, attributes, bgColor, bottom, center, color, cssClass, cssID, height, height, height, left, middle, right, setAttributesFrom, size, size, style, top, toString, width, width, width, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STYLE

    public static final java.lang.String STYLE

See Also:
  Constant Field Values

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

### MEDIA

    public static final java.lang.String MEDIA

See Also:
  Constant Field Values

### StyleSheet

    public static final java.lang.String StyleSheet

See Also:
  Constant Field Values

### AlternateStyleSheet

    public static final java.lang.String AlternateStyleSheet

See Also:
  Constant Field Values

### text_css

    public static final java.lang.String text_css

See Also:
  Constant Field Values

### screen

    public static final java.lang.String screen

See Also:
  Constant Field Values

Constructor Detail

### Style

    public Style(java.lang.String style,
                 java.lang.String type)

  Construct a Style element.

  Parameters:
    `type` - Format of Style

### Style

    public Style(java.lang.String style)

  Construct a Style element

### Style

    public Style()

  Construct a Style element

Method Detail

### media

    public Style media(java.lang.String m)

  Set the media

### comment

    public Style comment()

  Nest style content in comment

### importStyle

    public Style importStyle(java.lang.String url)

  Import another style sheet.

  Parameters:
    `url` - The URL to import
  Returns:
    This style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.